hpp-corbaserver: stringSeqSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Friends | List of all members
stringSeqSeq_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| stringSeqSeq_var ()
| stringSeqSeq_var (stringSeqSeq *_s)
| stringSeqSeq_var (const stringSeqSeq_var &_s)
| ~stringSeqSeq_var ()
stringSeqSeq_var & | operator= (stringSeqSeq *_s)
stringSeqSeq_var & | operator= (const stringSeqSeq_var &_s)
Names_t & | operator[] (_CORBA_ULong _s)
stringSeqSeq * | operator-> ()
const stringSeqSeq * | operator-> () const
| operator const stringSeqSeq & () const
| operator stringSeqSeq & ()
const stringSeqSeq & | in () const
stringSeqSeq & | inout ()
stringSeqSeq *& | out ()
stringSeqSeq * | _retn ()

## Friends
class | stringSeqSeq_out

## Constructor & Destructor Documentation

## ◆ stringSeqSeq_var() [1/3]

stringSeqSeq_var::stringSeqSeq_var | ( |  | ) |
| inline

## ◆ stringSeqSeq_var() [2/3]

stringSeqSeq_var::stringSeqSeq_var | ( | stringSeqSeq * | _s | ) |
| inline

## ◆ stringSeqSeq_var() [3/3]

stringSeqSeq_var::stringSeqSeq_var | ( | const stringSeqSeq_var & | _s | ) |
| inline

## ◆ ~stringSeqSeq_var()

stringSeqSeq_var::~stringSeqSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

stringSeqSeq* stringSeqSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const stringSeqSeq& stringSeqSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

stringSeqSeq& stringSeqSeq_var::inout | ( |  | ) |
| inline

## ◆ operator const stringSeqSeq &()

stringSeqSeq_var::operator const stringSeqSeq & | ( |  | ) | const
| inline

## ◆ operator stringSeqSeq &()

stringSeqSeq_var::operator stringSeqSeq & | ( |  | ) |
| inline

## ◆ operator->() [1/2]

stringSeqSeq* stringSeqSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const stringSeqSeq* stringSeqSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

stringSeqSeq_var& stringSeqSeq_var::operator= | ( | const stringSeqSeq_var & | _s | ) |
| inline

## ◆ operator=() [2/2]

stringSeqSeq_var& stringSeqSeq_var::operator= | ( | stringSeqSeq * | _s | ) |
| inline

## ◆ operator[]()

Names_t& stringSeqSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

stringSeqSeq*& stringSeqSeq_var::out | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ stringSeqSeq_out

friend class stringSeqSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh